#
# spec file for package libosmo-netif
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libosmo-netif
Summary:        Osmocom library for muxed audio
Version:        0.0.6.5
Release:        0
License:        AGPL-3.0+ and GPL-2.0+
Group:          Hardware/Mobile
Url:            http://openbsc.osmocom.org/trac/

#Git-Clone:	git://git.osmocom.org/libosmo-netif
#Git-Web:	http://git.osmocom.org/libosmo-netif/
#Snapshot:	0.0.6-5-gcc4ce39
Source:         %name-%version.tar.xz
Patch4:         osmo-talloc.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
#BuildRequires:  dahdi-linux-devel
BuildRequires:  libtool >= 2
BuildRequires:  lksctp-tools-devel
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(libosmoabis) >= 0.0.7
BuildRequires:  pkgconfig(libosmocore) >= 0.3.0
BuildRequires:  pkgconfig(libosmogsm) >= 0.3.0
BuildRequires:  pkgconfig(libosmovty) >= 0.3.0
BuildRequires:  pkgconfig(ortp) >= 0.15.0

%description

%package -n libosmonetif3
Summary:        Osmocom library for muxed audio
License:        AGPL-3.0+
Group:          System/Libraries

%description -n libosmonetif3

%package -n libosmonetif-devel
Summary:        Development files for the Osmocom muxed audio library
License:        AGPL-3.0+
Group:          Development/Libraries/C and C++
Requires:       libosmonetif3 = %version

%description -n libosmonetif-devel

%prep
%setup -qn %name
%patch -P 4 -p1

%build
echo "%version" >.tarball-version
autoreconf -fiv
%configure --enable-shared --disable-static
make %{?_smp_mflags}

%install
%make_install
find "%buildroot/%_libdir" -type f -name "*.la" -delete

%check
make %{?_smp_mflags} check

%post   -n libosmonetif3 -p /sbin/ldconfig
%postun -n libosmonetif3 -p /sbin/ldconfig

%files -n libosmonetif3
%defattr(-,root,root)
%_libdir/libosmonetif.so.3*

%files -n libosmonetif-devel
%defattr(-,root,root)
%doc COPYING
%dir %_includedir/osmocom
%_includedir/osmocom/netif/
%_libdir/libosmonetif.so
%_libdir/pkgconfig/libosmo-netif.pc

%changelog
